var request = require('request');
var Promise = require('promise');
var requestPromise = function(url, urlArgs) {
	var promise = new Promise(function(resolve, reject) {
		request({
			url: url,
			qs: urlArgs,
			json: false
		}, function(error, response, body) {
			if(!error && response.statusCode == 200) {
				resolve(JSON.parse(body));
			} else {
				reject(error);
			}
		});
	});
	return promise;
};

module.exports = function(config) {
	'use strict';
	var getKernelData = function(queryText) {
		var urlArgs = {};
		var url = 'https://www.kernel.org/releases.json';

		var promise = requestPromise(url, urlArgs);
			
		return promise;
	};

	return getKernelData;
};
	
